%define upstream_name    Dist-Zilla-Plugin-BuildFile
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build files by running an external command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
During the 'BeforeBuild' phase of execution, this plugin creates or updates
one or more files and tests that they now exist. Later, during the
'AfterBuild' phase of execution the created or updated files are deleted,
unless the 'precious' configuration option was used.

Note that this plugin only generates the files on demand. In order to put
them into the distribution, a FileGatherer such as GatherDir must also be
run.

The file(s) are built by running an external command specified with the
'command =' configuration parameter. By default that command runs 'make'
with the list of targets specified with the 'target = ' configuration
parameter. If not specified, the list of targets contains a single item
which is the name of the plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 14 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 71047
- imported package perl-Dist-Zilla-Plugin-BuildFile


* Mon Mar 14 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
